#!/usr/bin/perl

use lib 'lib';
use POE qw/Component::Minecraft/;
use Data::Dumper;

my $username = $ARGV[0];
my $password = $ARGV[1];

my $mc = POE::Component::Minecraft->new({
  username => $username,
  password => $password,
  server   => "mythmaster",
});

print Dumper $mc;

  POE::Session->create(
    inline_states => {
      _start => sub {
        $poe_kernel->delay(tick => 5);
        $mc->login(sub {print "woo!\n"});
      },
      tick => sub {$poe_kernel->delay(tick => 5); print "tick\n";}
    },
  );

POE::Kernel->run();